Spec-Zone.ru › OpenJDK 25

Пакет java.util.zip

package java.util.zip
Предоставляет классы для чтения и записи стандартных форматов файлов ZIP и GZIP. Также включает классы для сжатия и распаковки данных с помощью алгоритма сжатия DEFLATE, используемого форматами файлов ZIP и GZIP. Кроме того, здесь есть вспомогательные классы для вычисления контрольных сумм CRC-32, CRC-32C и Adler-32 для произвольных входных потоков.

Спецификация пакета

  • Примечание по применению Info-ZIP 970311 — подробное описание формата Info-ZIP, на котором основаны классы java.util.zip.
  • Реализация может дополнительно поддерживать расширения формата ZIP64(tm), определённые в документе Спецификация формата файлов ZIP PKWARE. Расширения формата ZIP64(tm) используются для преодоления ограничений размера исходного формата ZIP.
  • ПРИЛОЖЕНИЕ D документа Спецификация формата файлов ZIP PKWARE — флаг кодировки языка для кодирования полей имени файла и комментария записи ZIP с использованием UTF-8.
  • Спецификация формата сжатых данных ZLIB, версия 3.3 (PDF) (RFC 1950)
  • Спецификация формата сжатых данных DEFLATE, версия 1.3 (PDF) (RFC 1951)
  • Спецификация формата файлов GZIP, версия 4.3 (PDF) (RFC 1952)
  • Контрольная сумма CRC-32 описана в RFC 1952 (см. выше)
  • Контрольная сумма CRC-32C описана в документе Интерфейс малых компьютерных систем (iSCSI) (PDF) (RFC 3720)
  • Контрольная сумма Adler-32 описана в RFC 1950 (см. выше)
С версии:
1.1
Внешние спецификации
  • RFC 1950: Спецификация формата сжатых данных ZLIB, версия 3.3
  • RFC 1951: Спецификация формата сжатых данных DEFLATE, версия 1.3
  • RFC 1952: Спецификация формата файлов GZIP, версия 4.3
  • RFC 3720: Интерфейс малых компьютерных систем (iSCSI)
Пакет Описание
java.util
Содержит инфраструктуру коллекций, некоторые классы поддержки интернационализации, загрузчик служб, свойства, средства генерации случайных чисел, классы для разбора и сканирования строк, кодирования и декодирования Base64, битовый массив и несколько различных вспомогательных классов.
Класс Описание
Adler32
Класс для вычисления контрольной суммы Adler-32 потока данных.
CheckedInputStream
Входной поток, который также поддерживает контрольную сумму считываемых данных.
CheckedOutputStream
Выходной поток, который также поддерживает контрольную сумму записываемых данных.
Checksum
Интерфейс, представляющий контрольную сумму данных.
CRC32
Класс для вычисления контрольной суммы CRC-32 потока данных.
CRC32C
Класс для вычисления контрольной суммы CRC-32C потока данных.
DataFormatException
Сигнализирует о возникновении ошибки формата данных.
Deflater
Этот класс предоставляет поддержку сжатия общего назначения с использованием популярной библиотеки сжатия ZLIB.
DeflaterInputStream
Реализует фильтр входного потока для сжатия данных в формате сжатия "deflate".
DeflaterOutputStream
Этот класс реализует фильтр выходного потока для сжатия данных в формате сжатия "deflate".
GZIPInputStream
Этот класс реализует фильтр потока для чтения сжатых данных в формате файлов GZIP.
GZIPOutputStream
Этот класс реализует фильтр потока для записи сжатых данных в формате файлов GZIP.
Inflater
Этот класс предоставляет поддержку распаковки данных общего назначения с использованием популярной библиотеки сжатия ZLIB.
InflaterInputStream
Этот класс реализует фильтр потока для распаковки данных в формате сжатия "deflate".
InflaterOutputStream
Реализует фильтр выходного потока для распаковки данных, хранящихся в формате сжатия "deflate".
ZipEntry
Этот класс используется для представления записи ZIP-файла.
ZipError Устарело, будет удалено: этот элемент API может быть удалён в будущей версии.
ZipError больше не используется и устарел.
ZipException
Сигнализирует о возникновении исключения ZIP.
ZipFile
Этот класс используется для чтения записей из ZIP-файла.
ZipInputStream
Входной поток для чтения сжатых и несжатых записей ZIP-файла из потока байтов в формате файлов ZIP.
ZipOutputStream
Этот класс реализует фильтр выходного потока для записи файлов в формате ZIP.

Сообщить об ошибке или предложить улучшение
Дополнительные справочные материалы по API и документацию для разработчиков см. в документации Java SE, содержащей более подробные описания для разработчиков, обзоры концепций, определения терминов, обходные решения и работающие примеры кода. Другие версии.
Java является товарным знаком или зарегистрированным товарным знаком Oracle и/или её аффилированных лиц в США и других странах.
Авторское право © 1993, 2025, Oracle и/или её аффилированные лица, 500 Oracle Parkway, Redwood Shores, CA 94065 USA.
Все права защищены. Использование регулируется условиями лицензии и политикой распространения документации.

© 1993, 2025, Oracle and/or its affiliates. All rights reserved.
Documentation extracted from Debian's OpenJDK Development Kit package.
Licensed under the GNU General Public License, version 2, with the Classpath Exception.
Various third party code in OpenJDK is licensed under different licenses (see Debian package).
Java and OpenJDK are trademarks or registered trademarks of Oracle and/or its affiliates.
https://docs.oracle.com/en/java/javase/25/docs/api/java.base/java/util/zip/package-summary.html

Spec-Zone.ru

Настройки Оффлайн Что нового Помощь О нас
Spec-Zone .ru
спецификации, руководства, описания, API